"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _colorManipulator = require("@material-ui/core/styles/colorManipulator");

var _makeStyles = _interopRequireDefault(require("@material-ui/styles/makeStyles"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const useStyles = (0, _makeStyles.default)(theme => {
  const bootstrapColors = {
    primary: {
      contrastText: theme.palette.primary.contrastText,
      main: theme.palette.primary.main
    },
    secondary: {
      contrastText: theme.palette.secondary.contrastText,
      main: theme.palette.secondary.main
    },
    success: {
      contrastText: "#fff",
      main: "#218838"
    },
    danger: {
      contrastText: "#fff",
      main: "#c82333"
    },
    warning: {
      contrastText: "#333",
      main: "#e0a800"
    },
    info: {
      contrastText: "#fff",
      main: "#138496"
    },
    light: {
      contrastText: theme.palette.text.secondary,
      main: theme.palette.background.paper
    },
    dark: {
      contrastText: theme.palette.background.paper,
      main: theme.palette.text.primary
    }
  };

  function getColor(x) {
    return bootstrapColors[x.color === undefined ? "dark" : x.color];
  }

  return {
    root: {
      textTransform: "none",
      boxShadow: "none",
      borderRadius: ".25rem",
      padding: ".375rem .75rem",
      fontSize: "1rem",
      lineHeight: "1.5",
      "&.Mui-disabled": {
        opacity: 0.3
      },
      "&.MuiButton-contained": {
        color: x => getColor(x).contrastText,
        backgroundColor: x => getColor(x).main,
        border: x => `1px solid ${(0, _colorManipulator.fade)((0, _colorManipulator.darken)(getColor(x).main, 0.3), 0.3)}`,
        "&:hover": {
          backgroundColor: x => (0, _colorManipulator.darken)(getColor(x).main, 0.25)
        }
      },
      "&.MuiButton-outlined,&.MuiButton-text": {
        color: x => x.color === "light" ? getColor(x).contrastText : getColor(x).main,
        borderColor: x => x.color === "light" ? (0, _colorManipulator.fade)((0, _colorManipulator.darken)(getColor(x).main, 0.3), 0.3) : getColor(x).main,
        "&:hover": {
          backgroundColor: x => x.color === "light" ? (0, _colorManipulator.fade)((0, _colorManipulator.lighten)(getColor(x).contrastText, 0.2), 0.15) : (0, _colorManipulator.fade)((0, _colorManipulator.lighten)(getColor(x).main, 0.2), 0.15),
          borderColor: x => x.color === "light" ? (0, _colorManipulator.lighten)(getColor(x).contrastText, 0.5) : (0, _colorManipulator.lighten)(getColor(x).main, 0.5),
          color: x => x.color === "light" ? (0, _colorManipulator.lighten)(getColor(x).contrastText, 0.3) : (0, _colorManipulator.lighten)(getColor(x).main, 0.3)
        }
      },
      "&:hover": {
        boxShadow: "none"
      }
    }
  };
});

const Button = _react.default.forwardRef(function BootstrapButton(props, ref) {
  const classes = useStyles(props);
  const {
    color,
    ...otherProps
  } = props;
  return _react.default.createElement(_Button.default, _extends({}, otherProps, {
    classes: classes,
    ref: ref
  }));
});

var _default = Button;
exports.default = _default;