"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _makeStyles = _interopRequireDefault(require("@material-ui/styles/makeStyles"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const useStyles = (0, _makeStyles.default)(theme => {
  const bootstrapColors = {
    primary: {
      color: theme.palette.primary.dark
    },
    secondary: {
      color: theme.palette.secondary.dark
    },
    success: {
      color: "#155724"
    },
    danger: {
      color: "#721c24"
    },
    warning: {
      color: "#856404"
    },
    info: {
      color: "#0c5460"
    },
    light: {
      color: theme.palette.text.secondary
    },
    dark: {
      color: theme.palette.text.primary
    }
  };

  function getColor(x) {
    return x.color === "inherit" ? {
      color: undefined
    } : bootstrapColors[x.color === undefined ? "dark" : x.color];
  }

  return {
    root: {
      color: x => getColor(x).color,
      "& a": {
        color: x => getColor(x).color,
        fontWeight: "bolder",
        textDecoration: "none",
        "&:hover": {
          textDecoration: "underline"
        }
      }
    }
  };
});

const Typography = _react.default.forwardRef(function BootstrapButton(props, ref) {
  const classes = useStyles(props);
  const {
    color,
    ...otherProps
  } = props;
  return _react.default.createElement(_Typography.default, _extends({}, otherProps, {
    classes: classes,
    ref: ref
  }));
});

var _default = Typography;
exports.default = _default;